#
# spec file for package xmodmap
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           xmodmap
Version:        1.0.9
Release:        4.3
Summary:        Utility to modify keymaps and pointer button mappings in X
License:        MIT
Group:          System/X11/Utilities
Url:            http://xorg.freedesktop.org/
Source0:        http://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.bz2
Source1:        Xmodmap.template
Source2:        Xmodmap.remote.template
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xorg-macros) >= 1.8
BuildRequires:  pkgconfig(xproto) >= 7.0.17
# This was part of the xorg-x11 package up to version 7.6
Conflicts:      xorg-x11 <= 7.6
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The xmodmap program is used to edit and display the keyboard modifier
map and keymap table that are used by client applications to convert
event keycodes into keysyms. It is usually run from the user's
session startup script to configure the keyboard according to personal
tastes.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
%make_install
install -m0644 -D %{SOURCE1} %{buildroot}%{_sysconfdir}/X11/Xmodmap
install -m0644 -D %{SOURCE2} %{buildroot}%{_sysconfdir}/X11/Xmodmap.remote

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING README
%config %{_sysconfdir}/X11/Xmodmap
%config %{_sysconfdir}/X11/Xmodmap.remote
%{_bindir}/xmodmap
%{_mandir}/man1/xmodmap.1%{?ext_man}

%changelog
* Fri Apr 24 2015 sndirsch@suse.com
- Update to version 1.0.9:
  * configure: Drop AM_MAINTAINER_MODE
  * autogen.sh: Honor NOCONFIGURE=1
  * Add -version option to print program version
  * Print which option was in error along with usage message
  * Avoid null pointer use if malloc() fails
  * Remove unneeded casts on malloc, realloc, and free calls
* Thu Sep 12 2013 zaitor@opensuse.org
- Update to version 1.0.8:
  + Add missing copyright dates from xmodmap.man to COPYING.
  + Allow printing -help & -grammar messages without a valid
    DISPLAY.
  + Error in manpage example about swapping Control_L/Caps_Lock
    keys (deb#641588).
  + Include X11/Xwindows.h on WIN32.
  + Include config.h before stdio.h & other system headers
    (fdo#48696).
- Drop xmodmap-includes.patch, fixed upstream.
* Mon Apr 23 2012 vuntz@opensuse.org
- Update to version 1.0.7:
  + Build fixes.
* Sat Apr 14 2012 dimstar@opensuse.org
- Update to version 1.0.6:
  + Replace chk_malloc + sprintf with asprintf.
  + Free copy of input line at end of process_line instead of
    leaking it.
  + Fix gcc -Wwrite-strings warnings.
  + Add missing _X_NORETURN to functions that need it.
  + Include strings.h for strcasecmp.
  + Improve error handling in copy_to_scratch.
  + Build system fixes.
- Add pkgconfig(xproto) BuildRequires: new dependency.
- Add xmodmap-includes.patch: Fix build: as asprintf is only
  defined when building as _GNU_SOURCE.
* Fri Apr 13 2012 vuntz@opensuse.org
- Split xmodmap from xorg-x11. Initial version: 1.0.5.
